#!/bin/sh
#
# hg flow init for SSDT repositories
#
if [ -f .hgflow ]
  then
    echo ".hgflow already exists. Do not re-initialize!"
    exit 0
fi
 
 
set -e
set -x
die () {
  echo "$1"
  return 1
}
# Enable hg flow with SSDT conventions.
# variances from hgflow's default:
#  master stream:  [default] production
#  develop stream: [develop] default
cat > .hgflow << EOF
[branchname]
master = production
develop = default
feature = feature/
release = release/
hotfix = hotfix/
support = support/
version_prefix = ""
EOF
hg flow init -f
